// Automatically builds a table of contents with all <h2> elements and puts it after the <h1> element

var fullString = "<div id='tableofcontents'><h2>Table Of Contents</h2><ol>"; //the beginning, opens a div and an ordered list
var ID = 0;

$("h2").each(function () { //loop through every h2 element
    ID++; //counts the h2 elements
    element = $(this);
    content = element.text(); //stores text of element

    element.attr("id", ID); //gives the element an ID (so that it can be linked afterwards)

    fullString += "<li><a href= #" + ID + ">" + content + "</a></li>"; //fills the list and links them with the h2 elements
});

fullString += "</ol></div>" //closes the ordered list and the div

$("h1").after(fullString); //add the table of contents after the h1 element
